Open CASCADE Technology: HLRBRep_VertexList Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
HLRBRep_VertexList Class Reference

`#include <HLRBRep_VertexList.hxx>`

## Public Member Functions
| HLRBRep_VertexList (const HLRBRep_EdgeInterferenceTool &T, const HLRAlgo_ListIteratorOfInterferenceList &I)
Standard_Boolean | IsPeriodic () const
| Returns True when the curve is periodic. More...
Standard_Boolean | More () const
| Returns True when there are more vertices. More...
void | Next ()
| Proceeds to the next vertex. More...
const HLRAlgo_Intersection & | Current () const
| Returns the current vertex. More...
Standard_Boolean | IsBoundary () const
| Returns True if the current vertex is is on the boundary of the edge. More...
Standard_Boolean | IsInterference () const
| Returns True if the current vertex is an interference. More...
TopAbs_Orientation | Orientation () const
| Returns the orientation of the current vertex if it is on the boundary of the edge. More...
TopAbs_Orientation | Transition () const
| Returns the transition of the current vertex if it is an interference. More...
TopAbs_Orientation | BoundaryTransition () const
| Returns the transition of the current vertex relative to the boundary if it is an interference. More...

## Constructor & Destructor Documentation

HLRBRep_VertexList::HLRBRep_VertexList | ( | const HLRBRep_EdgeInterferenceTool & | T,
|  | const HLRAlgo_ListIteratorOfInterferenceList & | I
| ) |  |

## Member Function Documentation

TopAbs_Orientation HLRBRep_VertexList::BoundaryTransition | ( |  | ) | const

Returns the transition of the current vertex relative to the boundary if it is an interference.

const HLRAlgo_Intersection& HLRBRep_VertexList::Current | ( |  | ) | const

Returns the current vertex.

Standard_Boolean HLRBRep_VertexList::IsBoundary | ( |  | ) | const

Returns True if the current vertex is is on the boundary of the edge.

Standard_Boolean HLRBRep_VertexList::IsInterference | ( |  | ) | const

Returns True if the current vertex is an interference.

Standard_Boolean HLRBRep_VertexList::IsPeriodic | ( |  | ) | const

Returns True when the curve is periodic.

Standard_Boolean HLRBRep_VertexList::More | ( |  | ) | const

Returns True when there are more vertices.

void HLRBRep_VertexList::Next | ( |  | ) |

Proceeds to the next vertex.

TopAbs_Orientation HLRBRep_VertexList::Orientation | ( |  | ) | const

Returns the orientation of the current vertex if it is on the boundary of the edge.

TopAbs_Orientation HLRBRep_VertexList::Transition | ( |  | ) | const

Returns the transition of the current vertex if it is an interference.

The documentation for this class was generated from the following file:

- HLRBRep_VertexList.hxx